View Resource Quotas for an Account
get
/metering/api/v1/checkQuota/{accountId}
Retrieve resource quotas for all service entitlements in a given account.
Request
Path Parameters
-
accountId: string
Account name, starts with cacct.
Query Parameters
-
resources: string
Resources encode resourceName, quantity and usage source to be used in quota check.
-
serviceName: string
Service name
Response
Supported Media Types
- application/json
- application/vnd.com.oracle.oracloud.metering.checkquota+json
200 Response
Success
Nested Schema : items
Type:
Show Source
array-
Array of:
object ResourceQuotaBalance
Title:
ResourceQuotaBalance
Default Response
Unexpected error.
Examples
cURL Command
The following example shows how to retrieve the quota (resource consumption) for a resource by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL.
Enter the command on a single line. Line breaks are used in this example for readability.
curl -X GET
-u joe@example.com
-H "X-ID-TENANT-NAME:myDomain"
"https://itra.oraclecloud.com/metering/api/v1/checkQuota/hl1722trial?serviceName=Compute&resources=resourceName=EIPs,quantity=1" -v
Example of Request Body
There is no request body to submit with the HTTP request.
Example of Response Body
The following example shows the response body in JSON format.
{
"isAllowed":true,
"resourceBalance":[{
"name":"EIPs",
"service":"Compute",
"isAllowed":true,
"limit":5.0,
"balance":0.0,
"purchasedLimit":5.0
}]
}